Vulnerability   
Search   
    Search 191973 CVE descriptions
and 86218 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.844665
Category:Ubuntu Local Security Checks
Title:Ubuntu: Security Advisory for grunt (USN-4595-1)
Summary:The remote host is missing an update for the 'grunt'; package(s) announced via the USN-4595-1 advisory.
Description:Summary:
The remote host is missing an update for the 'grunt'
package(s) announced via the USN-4595-1 advisory.

Vulnerability Insight:
It was discovered that Grunt did not properly load yaml files. An
attacker could possibly use this to execute arbitrary code. (CVE-2020-7729)

Affected Software/OS:
'grunt' package(s) on Ubuntu 18.04 LTS.

Solution:
Please install the updated package(s).

CVSS Score:
4.6

CVSS Vector:
AV:N/AC:H/Au:S/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-7729
https://github.com/gruntjs/grunt/blob/master/lib/grunt/file.js%23L249
https://github.com/gruntjs/grunt/commit/e350cea1724eb3476464561a380fb6a64e61e4e7
https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSNPM-607922
https://snyk.io/vuln/SNYK-JS-GRUNT-597546
https://lists.debian.org/debian-lts-announce/2020/09/msg00008.html
https://usn.ubuntu.com/4595-1/
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 86218 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.